<?php
namespace App\Sabre\StructureParser\Types;

class Price extends \App\Utils\BaseParser\Structure\StructureParser\Types\Price
{
	public $isFullRefund = false;

	protected function createPriceTaxObject()
	{
		return new PriceTax();
	}

	protected function createPriceFormOfPaymentObject()
	{
		return new PriceFormOfPayment();
	}

	/**
	 *
	 * {@inheritDoc}
	 * @see \App\Utils\BaseParser\Structure\StructureParser\Types\Price::convert()
	 */
	public function convert($initialAmount, $initialCurrency, $finalCurrency, ?\App\Utils\BaseParser\Structure\StructureParser\Structures\Transaction $transaction = null)
	{
		return $this->convertUsingTINAConvertor($initialAmount, $initialCurrency, $finalCurrency, $transaction);
	}
}
